Official Simple signature check patcher

Discussion in 'Wii U - Homebrew' started by dimok, Nov 28, 2016.

  1. Nikolay

    Nikolay GBAtemp Fan

    Member
    3
    Mar 19, 2010
    United States
    But that removes the sig patches:
    Anyway the pro to using this versus cfw is that the boot time is much shorter.
     
    Last edited by Nikolay, Nov 28, 2016
  2. Leeful

    Leeful GBAtemp Member

    Member
    9
    Sep 4, 2015
    United Kingdom
    Same thing happens with me.

    I've noticed if HBL 1.4 is still in MiiMaker HBL 2.1 channel always crashes.

    Haxchi > sign_patcher > HBL 2.1 channel = Black screen crash
    Haxchi > IOSUHAXcfw > HBL 2.1 channel = works fine.
    Haxchi > IOSUHAXcfw > HBL 1.4 > Home Menu > HBL 2.1 channel = Black screen crash.
     
    Last edited by Leeful, Nov 29, 2016
    Nikolay likes this.
  3. TheZander

    TheZander King of the Level 7's

    Member
    10
    Feb 1, 2008
    United States
    Level 7
    I think he said the HBL version will blackscreen he re-up'd it though.

    — Posts automatically merged - Please don't double post! —

     
  4. ThePwnerer

    ThePwnerer Member

    Newcomer
    1
    Mar 9, 2016
    Cote d'Ivoire
    It does work really great!
    FYI, i also tried using it with cooldboothax via haxchi, but it results in an infinite loop.
    As ignorant as i am, i ask: Is there a way for the elf to query the home menu when it exits?
    EX: load in memory the xml that have the original home menu title ID, so when the elf closes, the home menu is called and not the haxchi again?
    Thank you for all your hard work!
     
  5. kruy

    kruy Member

    Newcomer
    3
    Oct 20, 2008
    United States
    me,too
    Haxchi > sign_patcher > HBL 2.1 channel = Black screen crash
    Haxchi > IOSUHAXcfw > HBL 2.1 channel = works fine
     
  6. dimok
    OP

    dimok GBAtemp Advanced Fan

    Member
    11
    Jan 11, 2009
    United States
    This looks to me like the modified HBL sd_loader code (elf loader) on haxchi has some issues with the HBL1.4 / HBL2.1 combination. I don't have haxchi and tested it from browser -> hbl 1.4 -> sign_pathcer -> hbl2.1 which worked fine. I will retry it later to confirm it again but I cant really test the haxchi stuff. I can take a look at the sd loader code in haxchi to see if I find the problem.

    EDIT:
    Ok i just checked it again and I was using the old 1.3 MP4 when testing this. With the old MP4 and HBL 1.4/2.1 it works fine.
    There is a generell issue with the new MP4 of HBL 1.4 which is also used by haxchi, where launching the HBL channel is not possible after it. Solving that is a bit more complicated and would require a new HBL1.4 MP4 / haxchi version.

    Using the custom fw.img reloads the full OS and therefore HBL 2.1 works with that again. This does not reload the OS and HBL1.4 is still integrated into Mii Maker. You can use that for the time being until the fixes are done. You don't need to launch the channel 2.1 version actually.
     
    Last edited by dimok, Nov 29, 2016
    Leeful, lordelan and KiiWii like this.
  7. RosaliinaDaHacker64

    RosaliinaDaHacker64 3DS hacker.

    Member
    6
    Oct 7, 2015
    Ireland
    Loot Lake
    Hell yeah, thank you dude! :yayu:
     
  8. AmandaRose

    AmandaRose Do what I do. Hold tight and pretend it’s a plan

    Member
    14
    Aug 19, 2015
    United Kingdom
    Glasgow
    while using this I can't install anything with wup installer ymod it gives me an error about not having sign patching or something like that and then if I boot into cfw I can install just fine. is this normal that I can't install anything using this??
     
  9. dimok
    OP

    dimok GBAtemp Advanced Fan

    Member
    11
    Jan 11, 2009
    United States
    I tested it several times and even HBL channel install works which needs most of all patches because of custom boot video and images. Are you sure you did everything correct and did not enter system settings in between launch and install?
     
  10. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    20
    Dec 1, 2014
    United States
    Under a rock
    I'm confused as to why someone wouldn't just use Haxchi as an entry point to the HBL every time, as opposed to trying to install it as its own channel
     
  11. xtheman

    xtheman GBAtemp Guru

    Member
    13
    Jan 28, 2016
    United States
    ???
    Some people don't have the money to buy a 6 dollar ds game.
     
  12. iAqua

    iAqua

    Member
    10
    GBAtemp Patron
    iAqua is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Dec 7, 2015
    Antarctica
    Hrm, does this work with coldboot? And would installing sysConfig work with this? Or since it prevents boot on sysNAND would it just fail to boot after sysConfig installation?
     
  13. vickdu31

    vickdu31 GBAtemp Regular

    Member
    3
    Nov 14, 2016
    Could we combine this with the coldboothax ? So we would boot on patched sysnand everytime
     
    endoverend likes this.
  14. ItsKipz

    ItsKipz l33t hax0r

    Member
    8
    Sep 9, 2016
    United States
    The C: drive
    I think it would be possible to do what this application does directly with WUPServer, i could be wrong tho.
     
  15. AmandaRose

    AmandaRose Do what I do. Hold tight and pretend it’s a plan

    Member
    14
    Aug 19, 2015
    United Kingdom
    Glasgow
    OK so I just tried it again and I have got to the bottom of the issue for some reason if I play any retroarch emu first then try to install anything I get the no signpatch message yet if I go back to system menu I can still load stuff like the homebrew launcher etc so looks like it's just a strange glitch somewhere. Lesson learnt that I can't use retroarch before installing lol.
     
  16. subcon959

    subcon959 teh retro

    Member
    12
    Dec 24, 2008
    As a general rule, I've found not doing anything before using wupinstaller resulted in the least amount of weird errors.
     
  17. AmandaRose

    AmandaRose Do what I do. Hold tight and pretend it’s a plan

    Member
    14
    Aug 19, 2015
    United Kingdom
    Glasgow
    exactly like I said lesson learnt lol.
     
    zeldaism, peteruk and dimok like this.
  18. Greggen

    Greggen Member

    Newcomer
    2
    Sep 7, 2010
    United States
    Because HBL 1.4 is outdated now. If you want to update in the future the real HBL-channel is the way to go.
     
  19. xtheman

    xtheman GBAtemp Guru

    Member
    13
    Jan 28, 2016
    United States
    ???
    But you need sig patches to launch the no legit channel no?
     
  20. KiiWii

    KiiWii Contributor

    pip Contributor
    18
    Nov 17, 2008
    United Kingdom
    I don't think this is entirely true.

    1.4 is the same as 2.0/2.1 except it's elf vs RPX. Functionality and age are relatively the same and they both do the same thing essentially.
     
    zeldaism, peteruk and TotalInsanity4 like this.
Loading...